#ifndef MISC_TIME_H
#define MISC_TIME_H TRUE

/*
**  time.h
**
**  (C) Copyright 1996-2003 Rocklyte Systems.
**      All Rights Reserved
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Time class.
*/

#define VER_TIME 1.0

struct Time {
   OBJECT_HEADER       /* Class header */
   LONG   Year;        /* Year   (-ve for BC, +ve for AD) */
   LONG   Month;       /* Month  (1 - 12) */
   LONG   Day;         /* Day    (1 - 31) */
   LONG   Hour;        /* Hour   (0 - 23) */
   LONG   Minute;      /* Minute (0 - 59) */
   LONG   Second;      /* Second (0 - 59) */
   LONG   Ticks;       /* Ticks  (0 - 99) */
   LONG   MilliSecond; /* Millisecond (0 - 999) */
   LONG   MicroSecond; /* Microsecond  (0 - 999999) */
   LARGE  SystemTime;  /* Total number of microseconds passed since the system base time */
   LONG   DayOfWeek;   /* Day of week (0 = Sunday ...) */
};

#define MT_SetTime -1

#endif /* MISC_TIME_H */
